Index: /branches/histogram/HeuristicLab 3.3.sln
===================================================================
--- /branches/histogram/HeuristicLab 3.3.sln	(revision 5960)
+++ /branches/histogram/HeuristicLab 3.3.sln	(revision 5961)
@@ -395,4 +395,6 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.DataAnalysis.Tests-3.4", "HeuristicLab.Problems.DataAnalysis\3.4\Tests\HeuristicLab.Problems.DataAnalysis.Tests-3.4.csproj", "{F5013F6B-5A2D-4741-8FC9-31A6968E9C41}"
 EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HistogramViewTest", "HistogramViewTest\HistogramViewTest.csproj", "{0D308137-8F8A-4361-A63D-09FAFEB29F9C}"
+EndProject
 Global
 	GlobalSection(TestCaseManagementSettings) = postSolution
@@ -401,7 +403,9 @@
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Any CPU = Debug|Any CPU
+		Debug|Mixed Platforms = Debug|Mixed Platforms
 		Debug|x64 = Debug|x64
 		Debug|x86 = Debug|x86
 		Release|Any CPU = Release|Any CPU
+		Release|Mixed Platforms = Release|Mixed Platforms
 		Release|x64 = Release|x64
 		Release|x86 = Release|x86
@@ -410,4 +414,6 @@
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|x64.ActiveCfg = Debug|x64
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|x64.Build.0 = Debug|x64
@@ -416,4 +422,6 @@
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|Any CPU.Build.0 = Release|Any CPU
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|Mixed Platforms.Build.0 = Release|x64
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x64.ActiveCfg = Release|x64
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x64.Build.0 = Release|x64
@@ -422,4 +430,6 @@
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Debug|x64.ActiveCfg = Debug|x64
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Debug|x64.Build.0 = Debug|x64
@@ -428,4 +438,6 @@
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Release|Mixed Platforms.Build.0 = Release|x86
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Release|x64.ActiveCfg = Release|x64
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Release|x64.Build.0 = Release|x64
@@ -434,4 +446,6 @@
 		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|x64.ActiveCfg = Debug|x64
 		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|x64.Build.0 = Debug|x64
@@ -440,4 +454,6 @@
 		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|Any CPU.Build.0 = Release|Any CPU
+		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|Mixed Platforms.Build.0 = Release|x86
 		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|x64.ActiveCfg = Release|x64
 		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|x64.Build.0 = Release|x64
@@ -446,4 +462,6 @@
 		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Debug|x64.ActiveCfg = Debug|x64
 		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Debug|x64.Build.0 = Debug|x64
@@ -452,4 +470,6 @@
 		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Release|Mixed Platforms.Build.0 = Release|x64
 		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Release|x64.ActiveCfg = Release|x64
 		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Release|x64.Build.0 = Release|x64
@@ -458,4 +478,6 @@
 		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Debug|x64.ActiveCfg = Debug|x64
 		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Debug|x64.Build.0 = Debug|x64
@@ -464,4 +486,6 @@
 		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Release|Mixed Platforms.Build.0 = Release|x64
 		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Release|x64.ActiveCfg = Release|x64
 		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}.Release|x64.Build.0 = Release|x64
@@ -470,4 +494,6 @@
 		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Debug|x64.ActiveCfg = Debug|x64
 		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Debug|x64.Build.0 = Debug|x64
@@ -476,4 +502,6 @@
 		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Release|Any CPU.Build.0 = Release|Any CPU
+		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Release|Mixed Platforms.Build.0 = Release|x64
 		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Release|x64.ActiveCfg = Release|x64
 		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}.Release|x64.Build.0 = Release|x64
@@ -482,4 +510,6 @@
 		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Debug|x64.ActiveCfg = Debug|x64
 		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Debug|x64.Build.0 = Debug|x64
@@ -488,4 +518,6 @@
 		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Release|Any CPU.Build.0 = Release|Any CPU
+		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Release|Mixed Platforms.Build.0 = Release|x64
 		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Release|x64.ActiveCfg = Release|x64
 		{DC3D7072-7999-4719-B65D-3997744D5DC1}.Release|x64.Build.0 = Release|x64
@@ -494,4 +526,6 @@
 		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Debug|x64.ActiveCfg = Debug|x64
 		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Debug|x64.Build.0 = Debug|x64
@@ -500,4 +534,6 @@
 		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Release|Any CPU.Build.0 = Release|Any CPU
+		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Release|Mixed Platforms.Build.0 = Release|x64
 		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Release|x64.ActiveCfg = Release|x64
 		{F4539FB6-4708-40C9-BE64-0A1390AEA197}.Release|x64.Build.0 = Release|x64
@@ -506,4 +542,6 @@
 		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Debug|x64.ActiveCfg = Debug|x64
 		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Debug|x64.Build.0 = Debug|x64
@@ -512,4 +550,6 @@
 		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Release|Any CPU.Build.0 = Release|Any CPU
+		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Release|Mixed Platforms.Build.0 = Release|x64
 		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Release|x64.ActiveCfg = Release|x64
 		{2C36CD4F-E5F5-43A4-801A-201EA895FE17}.Release|x64.Build.0 = Release|x64
@@ -518,4 +558,6 @@
 		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|x64.ActiveCfg = Debug|x64
 		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|x64.Build.0 = Debug|x64
@@ -524,4 +566,6 @@
 		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|Any CPU.Build.0 = Release|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|Mixed Platforms.Build.0 = Release|x64
 		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|x64.ActiveCfg = Release|x64
 		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|x64.Build.0 = Release|x64
@@ -530,4 +574,6 @@
 		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Debug|x64.ActiveCfg = Debug|x64
 		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Debug|x64.Build.0 = Debug|x64
@@ -536,4 +582,6 @@
 		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Release|Any CPU.Build.0 = Release|Any CPU
+		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Release|Mixed Platforms.Build.0 = Release|x64
 		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Release|x64.ActiveCfg = Release|x64
 		{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}.Release|x64.Build.0 = Release|x64
@@ -542,4 +590,6 @@
 		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Debug|x64.ActiveCfg = Debug|x64
 		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Debug|x64.Build.0 = Debug|x64
@@ -548,4 +598,6 @@
 		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Release|Any CPU.Build.0 = Release|Any CPU
+		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Release|Mixed Platforms.Build.0 = Release|x86
 		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Release|x64.ActiveCfg = Release|x64
 		{EE2034D9-6E27-48A1-B855-42D45F69A4FC}.Release|x64.Build.0 = Release|x64
@@ -554,4 +606,6 @@
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Debug|x64.ActiveCfg = Debug|x64
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Debug|x64.Build.0 = Debug|x64
@@ -560,4 +614,6 @@
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Release|Any CPU.Build.0 = Release|Any CPU
+		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Release|Mixed Platforms.Build.0 = Release|x64
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Release|x64.ActiveCfg = Release|x64
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Release|x64.Build.0 = Release|x64
@@ -566,4 +622,6 @@
 		{C664305E-497C-4533-A140-967DEDB05C19}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C664305E-497C-4533-A140-967DEDB05C19}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C664305E-497C-4533-A140-967DEDB05C19}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{C664305E-497C-4533-A140-967DEDB05C19}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{C664305E-497C-4533-A140-967DEDB05C19}.Debug|x64.ActiveCfg = Debug|x64
 		{C664305E-497C-4533-A140-967DEDB05C19}.Debug|x64.Build.0 = Debug|x64
@@ -572,4 +630,6 @@
 		{C664305E-497C-4533-A140-967DEDB05C19}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{C664305E-497C-4533-A140-967DEDB05C19}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C664305E-497C-4533-A140-967DEDB05C19}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{C664305E-497C-4533-A140-967DEDB05C19}.Release|Mixed Platforms.Build.0 = Release|x86
 		{C664305E-497C-4533-A140-967DEDB05C19}.Release|x64.ActiveCfg = Release|x64
 		{C664305E-497C-4533-A140-967DEDB05C19}.Release|x64.Build.0 = Release|x64
@@ -578,4 +638,6 @@
 		{E226881D-315F-423D-B419-A766FE0D8685}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E226881D-315F-423D-B419-A766FE0D8685}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E226881D-315F-423D-B419-A766FE0D8685}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{E226881D-315F-423D-B419-A766FE0D8685}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{E226881D-315F-423D-B419-A766FE0D8685}.Debug|x64.ActiveCfg = Debug|x64
 		{E226881D-315F-423D-B419-A766FE0D8685}.Debug|x64.Build.0 = Debug|x64
@@ -584,4 +646,6 @@
 		{E226881D-315F-423D-B419-A766FE0D8685}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E226881D-315F-423D-B419-A766FE0D8685}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E226881D-315F-423D-B419-A766FE0D8685}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{E226881D-315F-423D-B419-A766FE0D8685}.Release|Mixed Platforms.Build.0 = Release|x86
 		{E226881D-315F-423D-B419-A766FE0D8685}.Release|x64.ActiveCfg = Release|x64
 		{E226881D-315F-423D-B419-A766FE0D8685}.Release|x64.Build.0 = Release|x64
@@ -590,4 +654,6 @@
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Debug|x64.ActiveCfg = Debug|x64
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Debug|x64.Build.0 = Debug|x64
@@ -596,4 +662,6 @@
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Release|Any CPU.Build.0 = Release|Any CPU
+		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Release|Mixed Platforms.Build.0 = Release|x86
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Release|x64.ActiveCfg = Release|x64
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Release|x64.Build.0 = Release|x64
@@ -602,4 +670,6 @@
 		{678E2145-8152-4E19-9646-07D439D00301}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{678E2145-8152-4E19-9646-07D439D00301}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{678E2145-8152-4E19-9646-07D439D00301}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{678E2145-8152-4E19-9646-07D439D00301}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{678E2145-8152-4E19-9646-07D439D00301}.Debug|x64.ActiveCfg = Debug|x64
 		{678E2145-8152-4E19-9646-07D439D00301}.Debug|x64.Build.0 = Debug|x64
@@ -608,4 +678,6 @@
 		{678E2145-8152-4E19-9646-07D439D00301}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{678E2145-8152-4E19-9646-07D439D00301}.Release|Any CPU.Build.0 = Release|Any CPU
+		{678E2145-8152-4E19-9646-07D439D00301}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{678E2145-8152-4E19-9646-07D439D00301}.Release|Mixed Platforms.Build.0 = Release|x86
 		{678E2145-8152-4E19-9646-07D439D00301}.Release|x64.ActiveCfg = Release|x64
 		{678E2145-8152-4E19-9646-07D439D00301}.Release|x64.Build.0 = Release|x64
@@ -614,4 +686,6 @@
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|x64.ActiveCfg = Debug|x64
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|x64.Build.0 = Debug|x64
@@ -620,4 +694,6 @@
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|Any CPU.Build.0 = Release|Any CPU
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|Mixed Platforms.Build.0 = Release|x64
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|x64.ActiveCfg = Release|x64
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|x64.Build.0 = Release|x64
@@ -626,4 +702,6 @@
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|x64.ActiveCfg = Debug|x64
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|x64.Build.0 = Debug|x64
@@ -632,4 +710,6 @@
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|Any CPU.Build.0 = Release|Any CPU
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|Mixed Platforms.Build.0 = Release|x86
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|x64.ActiveCfg = Release|x64
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|x64.Build.0 = Release|x64
@@ -638,4 +718,6 @@
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Debug|x64.ActiveCfg = Debug|x64
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Debug|x64.Build.0 = Debug|x64
@@ -644,4 +726,6 @@
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Release|Any CPU.Build.0 = Release|Any CPU
+		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Release|Mixed Platforms.Build.0 = Release|x86
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Release|x64.ActiveCfg = Release|x64
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}.Release|x64.Build.0 = Release|x64
@@ -650,4 +734,6 @@
 		{C49CB749-8B24-4628-8003-E86475749410}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C49CB749-8B24-4628-8003-E86475749410}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C49CB749-8B24-4628-8003-E86475749410}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{C49CB749-8B24-4628-8003-E86475749410}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{C49CB749-8B24-4628-8003-E86475749410}.Debug|x64.ActiveCfg = Debug|x64
 		{C49CB749-8B24-4628-8003-E86475749410}.Debug|x64.Build.0 = Debug|x64
@@ -656,4 +742,6 @@
 		{C49CB749-8B24-4628-8003-E86475749410}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{C49CB749-8B24-4628-8003-E86475749410}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C49CB749-8B24-4628-8003-E86475749410}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{C49CB749-8B24-4628-8003-E86475749410}.Release|Mixed Platforms.Build.0 = Release|x86
 		{C49CB749-8B24-4628-8003-E86475749410}.Release|x64.ActiveCfg = Release|x64
 		{C49CB749-8B24-4628-8003-E86475749410}.Release|x64.Build.0 = Release|x64
@@ -662,4 +750,6 @@
 		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Debug|x64.ActiveCfg = Debug|x64
 		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Debug|x64.Build.0 = Debug|x64
@@ -668,4 +758,6 @@
 		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Release|Any CPU.Build.0 = Release|Any CPU
+		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Release|Mixed Platforms.Build.0 = Release|x86
 		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Release|x64.ActiveCfg = Release|x64
 		{56F9106A-079F-4C61-92F6-86A84C2D84B7}.Release|x64.Build.0 = Release|x64
@@ -674,4 +766,6 @@
 		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Debug|x64.ActiveCfg = Debug|x64
 		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Debug|x64.Build.0 = Debug|x64
@@ -680,4 +774,6 @@
 		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Release|Any CPU.Build.0 = Release|Any CPU
+		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Release|Mixed Platforms.Build.0 = Release|x86
 		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Release|x64.ActiveCfg = Release|x64
 		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}.Release|x64.Build.0 = Release|x64
@@ -686,4 +782,6 @@
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|x64.ActiveCfg = Debug|x64
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|x64.Build.0 = Debug|x64
@@ -692,4 +790,6 @@
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|Any CPU.Build.0 = Release|Any CPU
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|Mixed Platforms.Build.0 = Release|x64
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|x64.ActiveCfg = Release|x64
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|x64.Build.0 = Release|x64
@@ -698,4 +798,6 @@
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|x64.ActiveCfg = Debug|x64
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|x64.Build.0 = Debug|x64
@@ -704,4 +806,6 @@
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|Mixed Platforms.Build.0 = Release|x64
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|x64.ActiveCfg = Release|x64
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|x64.Build.0 = Release|x64
@@ -710,4 +814,6 @@
 		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Debug|x64.ActiveCfg = Debug|x64
 		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Debug|x64.Build.0 = Debug|x64
@@ -716,4 +822,6 @@
 		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Release|Any CPU.Build.0 = Release|Any CPU
+		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Release|Mixed Platforms.Build.0 = Release|x64
 		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Release|x64.ActiveCfg = Release|x64
 		{57F38579-409D-4DD8-AB19-3F2C4A665126}.Release|x64.Build.0 = Release|x64
@@ -722,4 +830,6 @@
 		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Debug|x64.ActiveCfg = Debug|x64
 		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Debug|x64.Build.0 = Debug|x64
@@ -728,4 +838,6 @@
 		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Release|Any CPU.Build.0 = Release|Any CPU
+		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Release|Mixed Platforms.Build.0 = Release|x64
 		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Release|x64.ActiveCfg = Release|x64
 		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}.Release|x64.Build.0 = Release|x64
@@ -734,4 +846,6 @@
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Debug|x64.ActiveCfg = Debug|x64
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Debug|x64.Build.0 = Debug|x64
@@ -740,4 +854,6 @@
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Release|Any CPU.Build.0 = Release|Any CPU
+		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Release|Mixed Platforms.Build.0 = Release|x64
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Release|x64.ActiveCfg = Release|x64
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Release|x64.Build.0 = Release|x64
@@ -746,4 +862,6 @@
 		{14AB8D24-25BC-400C-A846-4627AA945192}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{14AB8D24-25BC-400C-A846-4627AA945192}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{14AB8D24-25BC-400C-A846-4627AA945192}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{14AB8D24-25BC-400C-A846-4627AA945192}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{14AB8D24-25BC-400C-A846-4627AA945192}.Debug|x64.ActiveCfg = Debug|x64
 		{14AB8D24-25BC-400C-A846-4627AA945192}.Debug|x64.Build.0 = Debug|x64
@@ -752,4 +870,6 @@
 		{14AB8D24-25BC-400C-A846-4627AA945192}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{14AB8D24-25BC-400C-A846-4627AA945192}.Release|Any CPU.Build.0 = Release|Any CPU
+		{14AB8D24-25BC-400C-A846-4627AA945192}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{14AB8D24-25BC-400C-A846-4627AA945192}.Release|Mixed Platforms.Build.0 = Release|x64
 		{14AB8D24-25BC-400C-A846-4627AA945192}.Release|x64.ActiveCfg = Release|x64
 		{14AB8D24-25BC-400C-A846-4627AA945192}.Release|x64.Build.0 = Release|x64
@@ -758,4 +878,6 @@
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Debug|x64.ActiveCfg = Debug|x64
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Debug|x64.Build.0 = Debug|x64
@@ -764,4 +886,6 @@
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Release|Any CPU.Build.0 = Release|Any CPU
+		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Release|Mixed Platforms.Build.0 = Release|x64
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Release|x64.ActiveCfg = Release|x64
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}.Release|x64.Build.0 = Release|x64
